# __gnu_cxx::__vstring_utility< _CharT, _Traits, _Alloc > Struct Template Reference

Inheritance diagram for __gnu_cxx::__vstring_utility< _CharT, _Traits, _Alloc >:

List of all members.

## Detailed Description

### template<typename _CharT, typename _Traits, typename _Alloc>
struct __gnu_cxx::__vstring_utility< _CharT, _Traits, _Alloc >

Definition at line 52 of file vstring_util.h.

## Public Types

- typedef __gnu_cxx::__normal_iterator<
  const_pointer, __gnu_cxx::__versa_string<
  _CharT, _Traits, _Alloc,
  __rc_string_base > > __const_rc_iterator
- typedef __gnu_cxx::__normal_iterator<
  const_pointer, __gnu_cxx::__versa_string<
  _CharT, _Traits, _Alloc,
  __sso_string_base > > __const_sso_iterator
- typedef __gnu_cxx::__normal_iterator<
  pointer, __gnu_cxx::__versa_string<
  _CharT, _Traits, _Alloc,
  __rc_string_base > > __rc_iterator
- typedef __gnu_cxx::__normal_iterator<
  pointer, __gnu_cxx::__versa_string<
  _CharT, _Traits, _Alloc,
  __sso_string_base > > __sso_iterator
- typedef _Alloc::template rebind<
  _CharT >::other _CharT_alloc_type
- typedef _CharT_alloc_type::const_pointer const_pointer
- typedef _CharT_alloc_type::pointer pointer
- typedef _CharT_alloc_type::size_type size_type
- typedef _Traits traits_type
- typedef _Traits::char_type value_type

## Static Public Member Functions

- static void _S_assign (_CharT *__d, size_type __n, _CharT __c)
- static void _S_copy (_CharT *__d, const _CharT *__s, size_type __n)
- static void _S_copy_chars (_CharT *__p, const _CharT *__k1, const _CharT *__k2)
- static void _S_copy_chars (_CharT *__p, _CharT *__k1, _CharT *__k2)
- static void _S_copy_chars (_CharT *__p, __const_rc_iterator __k1, __const_rc_iterator __k2)
- static void _S_copy_chars (_CharT *__p, __rc_iterator __k1, __rc_iterator __k2)
- static void _S_copy_chars (_CharT *__p, __const_sso_iterator __k1, __const_sso_iterator __k2)
- static void _S_copy_chars (_CharT *__p, __sso_iterator __k1, __sso_iterator __k2)
- template<typename _Iterator> static void _S_copy_chars (_CharT *__p, _Iterator __k1, _Iterator __k2)
- template<typename _Type> static bool _S_is_null_pointer (_Type)
- template<typename _Type> static bool _S_is_null_pointer (_Type *__ptr)
- static void _S_move (_CharT *__d, const _CharT *__s, size_type __n)

## Classes

- struct _Alloc_hider

The documentation for this struct was generated from the following file:

- vstring_util.h